Name:           bart
Version:        0.7.00 
Release:        343.20220203git6b35171%{?dist}
Epoch:          1
Summary:        tools for computational magnetic resonance imaging 

License:        BSD
URL:            https://mrirecon.github.io/bart
VCS:            git+https://github.com/schaten/bart#6b3517164c0bdfde65c2e4624e644dc22fb21463:
Source0:        bart

%if 0%{?rhel} == 07
BuildRequires:  fftw-devel, lapack-devel, openblas-devel, atlas-devel, libpng-devel, devtoolset-7-toolchain, devtoolset-7-libatomic-devel
%else
BuildRequires:  gcc, make, fftw-devel, lapack-devel, openblas-devel, atlas-devel, libpng-devel
%endif

Requires:       fftw, lapack, openblas, atlas, libpng

%description
The Berkeley Advanced Reconstruction Toolbox (BART) is a free and open-source image-reconstruction framework for Computational Magnetic Resonance Imaging. It consists of a programming library and a toolbox of command-line programs. The library provides common operations on multi-dimensional arrays, Fourier and wavelet transforms, as well as generic implementations of iterative optimization algorithms. The command-line tools provide direct access to basic operations on multi-dimensional arrays as well as efficient implementations of many calibration and reconstruction algorithms for parallel imaging and compressed sensing.

# I suppose the binary shouldn't contain debug symbols by default
%global debug_package %{nil}


%prep
%setup -T -b 0 -q -n bart
# transfer .git-version information from rpkg-macro-expansion time to build time
echo v0.7.00-342-g6b35171 > version.txt

%build
%if 0%{?rhel} == 07

. /opt/rh/devtoolset-7/enable

%endif

make PARALLEL=1
make doc/commands.txt

%install
rm -rf $RPM_BUILD_ROOT
export
make PREFIX=usr DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/usr/share/bash-completion/completions/
install scripts/bart_completion.sh %{buildroot}/usr/share/bash-completion/completions/
install -D doc/bart.1 %{buildroot}/%{_mandir}/man1/bart.1

%files
/usr/bin/bart
%license LICENSE
%{_mandir}/man1/bart.1*
%doc
/usr/share/doc/bart/README
/usr/share/doc/bart/commands.txt
/usr/share/doc/bart/bitmasks.txt
/usr/share/doc/bart/resize.txt
/usr/share/doc/bart/references.txt
/usr/share/doc/bart/building.txt
/usr/share/doc/bart/style.txt
/usr/share/doc/bart/debugging.txt
/usr/share/doc/bart/dimensions-and-strides.txt
/usr/share/doc/bart/fft.txt
/usr/share/doc/bart/pics.txt
/usr/share/doc/bart/applications.txt
/usr/share/bash-completion/completions/bart_completion.sh

%changelog
